import React from 'react';
import {StyleSheet, View, Text , Button } from 'react-native';
import { Icon } from 'react-native-elements'
import {  TextInput } from 'react-native';


export default class MainBar{
	constructor(){
		this.__save = null
	}

	onSave(fn){
		this.__save = fn;
	}

	save(){
		this.__save && this.__save();
	}

	triggerSave(){
		this.save();
	}
	none(){
		
	}
	render(){
		return (
		<View style={styles.container}>
			<Button 
				color="#f1f1f1"
				title={<Icon  name='menu'
  				color="#606060"
  				/>}
  				/>
  			<Button 
				color="#f1f1f1"
				title={<Icon  name='home'
  				color="#606060"
  				/>}
  				/>
			<Text style={{height:30,width:80,fontSize:11,marginTop:6}}>
			<Button
				onPress={(e) => this.triggerSave()} 
				title="Save"
  				color="#606060" 

  			/>
  			</Text>
  			
  			
		</View>)
	}
}

const styles = StyleSheet.create({
	container:{
		flex:1,
		paddingRight:25,

		flexDirection:'row',

	}
	})